﻿#!/usr/bin/perl

# 1.
# Оплата заданной суммы с выбором валюты на сайте мерчанта
# Payment of the set sum with a choice of currency on merchant site 

# подключение стандартного модуля для кодирования подписи
# standard module for coding the signature
use Digest::MD5 qw(md5_hex);

# регистрационная информация (логин, пароль #1)
# registration info (login, password #1)
my $mrh_login = "demo";
my $mrh_pass1 = "password_1";

# номер заказа
# number of order
my $inv_id = 0;               

# описание заказа
# order description
my $inv_desc = "ROBOKASSA Advanced User Guide";

# сумма заказа
# sum of order
my $out_summ = "8.96";

# тип товара
# code of goods
my $shp_item = "1";

# предлагаемая валюта платежа
# default payment e-currency
my $in_curr = "";

# язык
# language
my $culture = "ru";

# кодировка
# encoding
my $encoding = "utf-8";

# формирование подписи
# generate signature
my $crc = md5_hex("$mrh_login:$out_summ:$inv_id:$mrh_pass1:Shp_item=$shp_item");

# HTML-страница с кассой
# ROBOKASSA HTML-page
print "Content-type: text/html\n\n";

print "<html><script language=JavaScript ".
      "src='https://auth.robokassa.ru/Merchant/PaymentForm/FormFLS.js?".
      "MrchLogin=$mrh_login&OutSum=$out_summ&InvId=$inv_id&IncCurrLabel=$in_curr".
      "&Desc=$inv_desc&SignatureValue=$crc&Shp_item=$shp_item".
      "&Culture=$culture&Encoding=$encoding'></script></html>";

print "\n\n";
