﻿#!/usr/bin/perl

# подключение стандартного модуля для кодирования подписи
# standard module for coding the signature
use Digest::MD5 qw(md5_hex);

# подключение стандартного модуля для работы с базами даннных
# standard module for databases access
use DBI;

require("http_Prm.cgi");

# регистрационная информация (пароль #1)
# registration info (password #1)
my $mrh_pass1 = "password_1";

# считывание параметров
# read parameters
my %q = http_Prm();
$q{SignatureValue} =~ s/([a-z])/uc "$1"/eg;

# формирование подписи
# generate signature
my $my_crc = md5_hex("$q{OutSum}:$q{InvId}:$mrh_pass1:Shp_item=$q{Shp_item}");
$my_crc =~ s/([a-z])/uc "$1"/eg;

# проверка корректности подписи
# check signature
my $is_correct = ($my_crc eq $q{SignatureValue} ? 1 : 0);

print "Content-type: text/html\n\n";

if (!$is_correct)
{
  print "bad sign\n";
  die "incorrect sign passed";
}

# подключение к базе данных
# connect to db
my $dbh = DBI->connect("DBI:mysql:database=database_name",
      "login", "pass");


# проверка наличия в базе данных счета с таким же номером
# check in a database of the order with same number
my @a = $dbh->selectrow_array
    ("SELECT count(*)
      FROM order1
      WHERE order_num = '$q{InvId}'");

if (length($dbh->errstr) > 0)
  { print $dbh->errstr; }

if ($a[0] > 0)
{
  print "Thank you for using our service\n";  
}
exit();

