function isNum(cCode) {
    return /[0-9\.\-]/.test(String.fromCharCode(cCode))
}
function isNumLat(cCode) {
    return /[A-Za-z0-9@\.\-+]/.test(String.fromCharCode(cCode))
}
function isNumLatUC(cCode) {
    return /[A-Z0-9]/.test(String.fromCharCode(cCode))
}

$(document).ready(function () {
    $('input.num_only').keypress(function (e) {
        if ($.browser.mozilla) return isNum(e.charCode);
        else return isNum(e.keyCode);
    });
    $('input.numlat_only').keypress(function (e) {
        if ($.browser.mozilla) return isNumLat(e.charCode);
        else return isNumLat(e.keyCode);
    });
    $('input.numlatuc_only').keypress(function (e) {
        if ($.browser.mozilla) return isNumLatUC(e.charCode);
        else return isNumLatUC(e.keyCode);
    });
});